> ## Documentation Index
> Fetch the complete documentation index at: https://developers.unize.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename Graph

> Rename a knowledge graph



## OpenAPI

````yaml patch /v1/storage/{graph_id}/
openapi: 3.0.3
info:
  title: Unize API
  version: 1.0.0
  description: Unize API
servers: []
security: []
paths:
  /v1/storage/{graph_id}/:
    patch:
      tags:
        - Storage (API & Playground)
      description: Rename a knowledge graph
      operationId: Patch Graph
      parameters:
        - in: path
          name: graph_id
          schema:
            type: string
          required: true
          description: >-
            The `graph_id` of the knowledge graph to be renamed. A `graph_id` is
            an alphanumeric string that uniquely identifies a knowledge graph.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedGraphPatchModel'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedGraphPatchModel'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedGraphPatchModel'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GraphModel'
          description: ''
      security:
        - Authentication: []
components:
  schemas:
    PatchedGraphPatchModel:
      type: object
      properties:
        graph_name:
          type: string
          nullable: true
          description: The new name for the knowledge graph.
    GraphModel:
      type: object
      properties:
        graph_id:
          type: string
          format: uuid
          readOnly: true
          description: The `graph_id` of the knowledge graph.
        graph_name:
          type: string
          nullable: true
          description: The name of the knowledge graph.
        timestamp:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time of the last operation executed on the knowledge
            graph.
        last_graph_merge:
          allOf:
            - $ref: '#/components/schemas/GraphLastMergeModel'
          readOnly: true
          description: >-
            Details about the most recent operation for this particular
            knowledge graph.
      required:
        - graph_id
        - last_graph_merge
        - timestamp
    GraphLastMergeModel:
      type: object
      properties:
        system:
          enum:
            - st-0.75
            - st-0.5
            - import
          type: string
          description: >-
            * `st-0.75` (default) - newest, more accurate, and cheapest Storage
            system

            * `st-0.5` (legacy) - only works with normal and user-defined
            extraction modes

            * `import` - graph import operation
          x-spec-enum-id: 57d6c8e6547114af
        extraction_mode:
          enum:
            - normal
            - detailed
            - user_defined
            - import
          type: string
          description: >-
            * `normal` - extracts all key entities (e.g. 'John Doe') and their
            relationships

            * `detailed` - extracts all entities and relationships

            * `user_defined` - extracts all entities and relationships based on
            the `extraction_criteria` provided by the user

            * `import` - graph import operation
          x-spec-enum-id: 4e56874dd9720adc
        client_display_error:
          type: string
          nullable: true
        status:
          enum:
            - waiting
            - queued
            - in_progress
            - success
            - failed
          type: string
          description: |-
            * `waiting` - waiting
            * `queued` - queued
            * `in_progress` - in_progress
            * `success` - success
            * `failed` - failed
          x-spec-enum-id: 93a5a571d096b88d
        timestamp:
          type: string
          format: date-time
          readOnly: true
        completed_at:
          type: string
          format: date-time
          nullable: true
        extraction_criteria_truncated:
          type: string
      required:
        - extraction_criteria_truncated
        - timestamp
  securitySchemes:
    Authentication:
      type: apiKey
      in: header
      name: Authorization
      description: |-
        Send the API generated from the Playground:
        - `Authorization: <api_key>`

````